[cairo-commit] cairo-demo/cairo_snippets ChangeLog, 1.28, 1.29 Makefile.am, 1.2, 1.3 autogen.sh, 1.1, 1.2 cairo_snippets_ps.c, 1.2, 1.3 configure.ac, 1.2, 1.3

Owen Taylor commit at pdx.freedesktop.org
Thu Feb 24 08:21:03 PST 2005


Committed by: otaylor

Update of /cvs/cairo/cairo-demo/cairo_snippets
In directory gabe:/tmp/cvs-serv3123

Modified Files:
	ChangeLog Makefile.am autogen.sh cairo_snippets_ps.c 
	configure.ac 
Log Message:
2005-02-24 Owen Taylor <otaylor at redhat.com>

	* configure.ac Makefile.am: Build the PDF and Win32 
	backends conditionally.

	* autogen.sh: Replace with something more comprehensive
	based on the Cairo version.

	* configure.ac: Add AC_CONFIG_HEADERS

	* cairo_snippets_ps.c: Include <cairo-ps.h>

Index: ChangeLog
===================================================================
RCS file: /cvs/cairo/cairo-demo/cairo_snippets/ChangeLog,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -d -r1.28 -r1.29
--- ChangeLog	6 Feb 2005 22:37:00 -0000	1.28
+++ ChangeLog	24 Feb 2005 16:21:01 -0000	1.29
@@ -1,3 +1,15 @@
+2005-02-24 Owen Taylor <otaylor at redhat.com>
+
+	* configure.ac Makefile.am: Build the PDF and Win32 
+	backends conditionally.
+
+	* autogen.sh: Replace with something more comprehensive
+	based on the Cairo version.
+
+	* configure.ac: Add AC_CONFIG_HEADERS
+
+	* cairo_snippets_ps.c: Include <cairo-ps.h>
+
 2005-02-06  Øyvind Kolås  <pippin at freedesktop.org>
 
 	* Makefile.am: added cflags to the cairo_snippets_gtk target.

Index: Makefile.am
===================================================================
RCS file: /cvs/cairo/cairo-demo/cairo_snippets/Makefile.am,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- Makefile.am	6 Feb 2005 22:37:00 -0000	1.2
+++ Makefile.am	24 Feb 2005 16:21:01 -0000	1.3
@@ -1,18 +1,21 @@
-optional_programs =
-
-if BUILD_GTKCAIRO
-optional_programs += cairo_snippets_gtk
-endif
-
 INCLUDES = @SNIPPETS_CFLAGS@
 
-
 bin_PROGRAMS =					\
 	cairo_snippets_png			\
 	cairo_snippets_ps			\
-	cairo_snippets_html			\
-	cairo_snippets_pdf			\
-	$(optional_programs)
+	cairo_snippets_html
+
+if BUILD_GTKCAIRO
+bin_PROGRAMS += cairo_snippets_gtk
+endif
+
+if BUILD_PDF
+bin_PROGRAMS += cairo_snippets_pdf
+endif
+
+if BUILD_WIN32
+bin_PROGRAMS += cairo_snippets_win32
+endif
 
 noinst_PROGRAMS =				\
 	prepare_snippets
@@ -35,6 +38,9 @@
 cairo_snippets_pdf_SOURCES = $(common_sources) cairo_snippets_pdf.c
 cairo_snippets_pdf_LDADD=@SNIPPETS_LIBS@
 
+cairo_snippets_win32_SOURCES = $(common_sources) cairo_snippets_win32.c
+cairo_snippets_win32_LDADD=@SNIPPETS_LIBS@ -lgdi32
+
 prepare_snippets_SOURCES = prepare_snippets.c
 
 AM_CFLAGS = -g -Wall

Index: autogen.sh
===================================================================
RCS file: /cvs/cairo/cairo-demo/cairo_snippets/autogen.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- autogen.sh	6 Feb 2005 22:26:22 -0000	1.1
+++ autogen.sh	24 Feb 2005 16:21:01 -0000	1.2
@@ -1,19 +1,137 @@
-#! /bin/sh
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+set -e
 
-rm -f config.cache acconfig.h
+PACKAGE=cairo-demo
 
-echo "- libtoolize."		&& \
-libtoolize --force		&& \
-echo "- aclocal."		&& \
-aclocal				&& \
-echo "- autoconf."		&& \
-autoconf			&& \
-echo "- autoheader."		&& \
-autoheader			&& \
-echo "- automake."		&& \
-automake --add-missing --gnu	&& \
-echo				&& \
-./configure "$@"		&& exit 0
+LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
+LIBTOOLIZE_FLAGS="--copy --force"
+ACLOCAL=${ACLOCAL-aclocal}
+AUTOHEADER=${AUTOHEADER-autoheader}
+AUTOMAKE=${AUTOMAKE-automake}
+AUTOMAKE_FLAGS="--add-missing"
+AUTOCONF=${AUTOCONF-autoconf}
 
-exit 1
+# automake 1.8 requires autoconf 2.58
+# automake 1.7 requires autoconf 2.54
+# I don't know what automake 1.4 wants, but the following seems to work...
+automake_min_vers=1.4
+aclocal_min_vers=$automake_min_vers
+autoconf_min_vers=2.54
+libtoolize_min_vers=1.4
+
+# The awk-based string->number conversion we use needs a C locale to work as expected.
+LANG=C
+LC_NUMERIC=C
+
+ARGV0=$0
+
+if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1 ; then
+    if ($AUTOCONF --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$autoconf_min_vers') \
+			       exit 1; exit 0; }');
+    then
+       echo "$ARGV0: ERROR: \`$AUTOCONF' is too old."
+       $AUTOCONF --version
+       echo "           (version $autoconf_min_vers or newer is required)"
+       DIE="yes"
+    fi
+else
+    echo $AUTOCONF: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`autoconf' installed to compile $PACKAGE."
+    echo "           (version $autoconf_min_vers or newer is required)"
+    DIE="yes"
+fi
+
+if ($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 ; then
+  if ($AUTOMAKE --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$automake_min_vers') \
+			     exit 1; exit 0; }');
+     then
+     echo "$ARGV0: ERROR: \`$AUTOMAKE' is too old."
+     $AUTOMAKE --version
+     echo "           (version $automake_min_vers or newer is required)"
+     DIE="yes"
+  fi
+  if ($ACLOCAL --version) < /dev/null > /dev/null 2>&1; then
+    if ($ACLOCAL --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$aclocal_min_vers' ) \
+						exit 1; exit 0; }' );
+    then
+      echo "$ARGV0: ERROR: \`$ACLOCAL' is too old."
+      $ACLOCAL --version
+      echo "           (version $aclocal_min_vers or newer is required)"
+      DIE="yes"
+    fi
+  else
+    echo $ACLOCAL: command not found
+    echo
+    echo "$ARGV0: ERROR: Missing \`$ACLOCAL'"
+    echo "           The version of $AUTOMAKE installed doesn't appear recent enough."
+    DIE="yes"
+  fi
+else
+    echo $AUTOMAKE: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`automake' installed to compile $PACKAGE."
+    echo "           (version $automake_min_vers or newer is required)"
+    DIE="yes"
+fi
+
+if ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 ; then
+    if ($LIBTOOLIZE --version | awk 'NR==1 { if( $4 >= '$libtoolize_min_vers') \
+			       exit 1; exit 0; }');
+    then
+       echo "$ARGV0: ERROR: \`$LIBTOOLIZE' is too old."
+       echo "           (version $libtoolize_min_vers or newer is required)"
+       DIE="yes"
+    fi
+else
+    echo $LIBTOOLIZE: command not found
+    echo
+    echo "$ARGV0: ERROR: You must have \`libtoolize' installed to compile $PACKAGE."
+    echo "           (version $libtoolize_min_vers or newer is required)"
+    DIE="yes"
+fi
+
+if test -z "$ACLOCAL_FLAGS"; then
+    acdir=`aclocal --print-ac-dir`
+    if [ ! -f $acdir/pkg.m4 ]; then
+	echo "$ARGV0: Error: Could not find pkg-config macros."
+	echo "        (Looked in $acdir/pkg.m4)"
+	echo "        If pkg.m4 is available in /another/directory, please set"
+	echo "        ACLOCAL_FLAGS=\"-I /another/directory\""
+	echo "        Otherwise, please install pkg-config."
+	echo ""
+	echo "pkg-config is available from:"
+	echo "http://www.freedesktop.org/software/pkgconfig/"
+	DIE=yes
+    fi
+fi
 
+if test "X$DIE" != X; then
+  exit 1
+fi
+
+
+if test -z "$*"; then
+  echo "$ARGV0:	Note: \`./configure' will be run with no arguments."
+  echo "		If you wish to pass any to it, please specify them on the"
+  echo "		\`$0' command line."
+  echo
+fi
+
+do_cmd() {
+    echo "$ARGV0: running \`$@'"
+    $@
+}
+
+do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
+
+do_cmd $ACLOCAL $ACLOCAL_FLAGS
+
+do_cmd $AUTOHEADER
+
+do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
+
+do_cmd $AUTOCONF
+
+do_cmd ./configure --enable-maintainer-mode ${1+"$@"} && echo "Nbbow type \`make' to compile" || exit 1

Index: cairo_snippets_ps.c
===================================================================
RCS file: /cvs/cairo/cairo-demo/cairo_snippets/cairo_snippets_ps.c,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- cairo_snippets_ps.c	11 Jan 2005 22:38:03 -0000	1.2
+++ cairo_snippets_ps.c	24 Feb 2005 16:21:01 -0000	1.3
@@ -3,6 +3,7 @@
  */
 
 #include "snippets.h"
+#include <cairo-ps.h>
 
 #define X_INCHES 2
 #define Y_INCHES 2

Index: configure.ac
===================================================================
RCS file: /cvs/cairo/cairo-demo/cairo_snippets/configure.ac,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- configure.ac	2 Feb 2005 05:57:10 -0000	1.2
+++ configure.ac	24 Feb 2005 16:21:01 -0000	1.3
@@ -1,6 +1,8 @@
 AC_INIT(snippets.h)
 
 AM_INIT_AUTOMAKE(cairo_snippets, 0.1)
+AC_CONFIG_HEADERS(config.h)
+
 AM_MAINTAINER_MODE
 AC_PROG_CC
 AC_PROG_CPP
@@ -11,4 +13,24 @@
 
 AM_CONDITIONAL(BUILD_GTKCAIRO, test x$enable_gtkcairo = xyes)
 
+AC_MSG_CHECKING(For Cairo Win32 backend)
+enable_win32=no
+snippets_save_LDFLAGS=$LDFLAGS
+LDFLAGS="$LDFLAGS $SNIPPETS_LIBS"
+AC_CHECK_LIB(cairo, cairo_win32_surface_create, enable_win32=yes, :)
+LDFLAGS=$snippets_save_LDFLAGS
+AC_MSG_RESULT($enable_win32)
+
+AM_CONDITIONAL(BUILD_WIN32, test $enable_win32 = yes)
+
+AC_MSG_CHECKING(For Cairo PDF backend)
+enable_pdf=no
+snippets_save_LDFLAGS=$LDFLAGS
+LDFLAGS="$LDFLAGS $SNIPPETS_LIBS"
+AC_CHECK_LIB(cairo, cairo_pdf_surface_create, enable_pdf=yes, :)
+LDFLAGS=$snippets_save_LDFLAGS
+AC_MSG_RESULT($enable_pdf)
+
+AM_CONDITIONAL(BUILD_PDF, test $enable_pdf = yes)
+
 AC_OUTPUT(Makefile)




More information about the cairo-commit mailing list